//structures

#define noughts		0 
#define crosses 	1 
#define INFINITY	32000

struct position
{
 int side; //side to move
 int board[2]; //occupied places
};

//Kmoves.c
extern int generateMoves(struct position pos);
extern int makeNextMove(struct position *pos, int *moves);
extern int getLSB(int board);
//Kevaluate.c
extern int evaluate(struct position pos);
//Kthink.c
extern int rootSearch(struct position*pos);





